using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Foundation;
using UIKit;
using CoreGraphics;
using Syncfusion.SfDataGrid;

namespace EditingInIOS
{
    public class MyViewController : UIViewController
    {
        SfDataGrid datagrid;
        ViewModel viewModel;
        UIButton button;
      
        public MyViewController()
        {
            datagrid = new SfDataGrid();
            viewModel = new ViewModel();
            button = new UIButton();
        }

        public override void ViewDidLoad()
        {
            base.ViewDidLoad();
            this.View.BackgroundColor = UIColor.Red;
            datagrid.ItemsSource = viewModel.OrdersInfo;
            datagrid.AutoGenerateColumns = true;
            datagrid.AllowDraggingColumn = true;
            datagrid.HeaderRowHeight = 50;
            //datagrid.RowHeight = 100;
            datagrid.QueryRowHeight += Datagrid_QueryRowHeight;
            button.BackgroundColor = UIColor.Blue;
            button.TouchDown += Button_TouchDown;
            View.AddSubview(datagrid);
            View.AddSubview(button);
        }

        private void Button_TouchDown(object sender, EventArgs e)
        {
            viewModel.OrdersInfo.RemoveAt(0);
            datagrid.ItemsSource = null;
            datagrid.ItemsSource = viewModel.OrdersInfo;
           
        }

        private void Datagrid_QueryRowHeight(object sender, QueryRowHeightEventArgs e)
        {
            if (e.RowIndex != 0)
            {
                var availablegridsize = datagrid.Frame.Height - datagrid.HeaderRowHeight;
                if (viewModel.OrdersInfo.Count < (availablegridsize / datagrid.RowHeight))
                {
                    datagrid.RowHeight = availablegridsize / viewModel.OrdersInfo.Count;
                }   
            }
        }

        public override void ViewDidLayoutSubviews()
        {
            button.Frame = new CGRect(0, 20, View.Frame.Width, 30);
            datagrid.Frame = new CGRect(0, 50, View.Frame.Width,400);
            base.ViewDidLayoutSubviews();
        }
    }
}