using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Foundation;
using UIKit;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace EditingInIOS
{
    public class ViewModel : INotifyPropertyChanged
    {
        OrderInfoRepository order;
        ProductInfoRespository product;
        public ViewModel()
        {
            order = new OrderInfoRepository();
            product = new ProductInfoRespository();
            SetRowstoGenerate(10);
        }

        #region ItemsSource

        private ObservableCollection<OrderInfo> ordersInfo;

        public ObservableCollection<OrderInfo> OrdersInfo
        {
            get { return ordersInfo; }
            set { this.ordersInfo = value; RaisePropertyChanged("OrdersInfo"); }
        }

        private ObservableCollection<ProductInfo> productsInfo;

        public ObservableCollection<ProductInfo> ProductsInfo
        {
            get { return productsInfo; }
            set { this.productsInfo = value; RaisePropertyChanged("ProductsInfo"); }
        }
        #endregion

        #region ItemSource Generator

        public void SetRowstoGenerate(int count)
        {
            ordersInfo = order.GetOrderDetails(count);
            productsInfo = product.GetProductDetails(count);
        }


        #endregion

        #region INotifyPropertyChanged implementation

        public event PropertyChangedEventHandler PropertyChanged;

        public void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion
    }
}